

#include "utiles.h"
bool UtilesDebug=false;
bool Utiles::isTime( unsigned long *tt, unsigned long timer)
{
  //coge el tiempo actual
  unsigned long t = millis();
  //si es menor que el último, actualiza el último
  if (t < *tt)
  {
    *tt = t;
    return true;
  }
  //si todavia no ha pasado el tiempo
  if ((*tt + timer) >= t)
    return false;

  //si ya ha pasado el tiempo, actualiza el ultimo tiempo
  *tt = t;
  return true;
}

void Utiles::printCOM(char *line)
{
  if(UtilesDebug)
    Serial.println(line);

}
void Utiles::printCOM2(char *line)
{
  if(UtilesDebug)
    Serial.print(line);

}

//------------------------------------------------------------------------------
StringSplit::StringSplit(char *src, char *sep )
{
  separador = sep = sep;
  n = strlen(separador);
  str = src;
}

char* StringSplit::get()
{
  if (!str)
    return str;
  char *res = str;
  char * sig = strstr(str, separador);

  if (!sig)
    str = 0;
  else
  {
    str = &sig[n];
    sig[0] = 0;
  }
  return res;
}
